/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sample.scatterplot.persistence;

/**
 *
 * PlotType is a enumeration that handles of the plot types the application
 * is going to draw. If a new magnitude is integrated it must be added here.
 *
 * @author ricky
 */
public enum PlotType {
    /**
     * SEA_LEVEL is the high of the sea level
     */
    SEA_LEVEL("Sea Level", "Meters (m)"),

    /**
     * WAVE is the significant high of waves
     */
    WAVE("High of Waves", "Meters (m)");

    private String description = null;
    private String legend = null;

    /**
     * Constructor via properties.
     * @param description The description of the plot
     * @param legend The legend for the Y axis
     */
    PlotType(String description, String legend) {
        this.description = description;
        this.legend = legend;
    }

    /**
     * description getter
     * @return
     */
    public String getDescription() {
        return description;
    }

    /**
     * description setter
     * @param description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * legend getter
     * @return
     */
    public String getLegend() {
        return legend;
    }

    /**
     * legend setter
     * @param legend
     */
    public void setLegend(String legend) {
        this.legend = legend;
    }
}
